[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TDaemonThread.PauseDaemon

Pause the daemon

## Declaration

Source position: daemonapp.pp line 318

`public function TDaemonThread.PauseDaemon: Boolean; virtual;`

## Function result

True if the daemon was succesfully paused

## Description

PauseDaemon attempts to stop the daemon using its TDaemon.Pause method, and suspends the thread. It returns True if the attempt was succesful.

## See also

TDaemon.Pause
TDaemonThread.StopDaemon |  | Stops the daemon
TDaemonThread.ContinueDaemon |  | Continue the daemon
TDaemonThread.ShutDownDaemon |  | Shut down daemon

The latest version of this document can be found at lazarus-ccr.sourceforge.net.